# mypy-boto3-health

[![PyPI - mypy-boto3-health](https://img.shields.io/pypi/v/mypy-boto3-health.svg?color=blue)](https://pypi.org/project/mypy-boto3-health)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-health.svg?color=blue)](https://pypi.org/project/mypy-boto3-health)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

- [mypy-boto3-health](#mypy-boto3-health)
  - [How to use](#how-to-use)
  - [Automated type discovery](#automated-type-discovery)


Type annotations for
[boto3.Health 1.13.25](https://boto3.amazonaws.com/v1/documentation/api/1.13.25/reference/services/health.html#Health) service
compatible with [mypy](https://github.com/python/mypy), [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/) and other tools.

Generated by [mypy-boto3-buider 2.0.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

- [mypy-boto3-health](#mypy-boto3-health)
  - [How to use](#how-to-use)
    - [Type checking](#type-checking)
  - [How it works](#how-it-works)

## How to use

Make sure you have [mypy](https://github.com/python/mypy) installed and activated in your IDE.

Install `boto3-stubs` for `Health` service.

```bash
python -m pip install boto3-stubs[health]

# update installed packages index for automated type discovery
python -m mypy_boto3
```

Use `boto3` with `mypy_boto3_health` in your project and enjoy type checking and auto-complete.

```python
import boto3

from mypy_boto3_health import HealthClient

# Now mypy can check if your code is valid.
client: HealthClient = boto3.client("health")

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: HealthClient = session.client("health")



# Annotated paginators are included as well

import mypy_boto3_health.paginator as health_paginators

describe_affected_accounts_for_organization_paginator: health_paginators.DescribeAffectedAccountsForOrganizationPaginator = client.get_paginator("describe_affected_accounts_for_organization")
describe_affected_entities_paginator: health_paginators.DescribeAffectedEntitiesPaginator = client.get_paginator("describe_affected_entities")
describe_affected_entities_for_organization_paginator: health_paginators.DescribeAffectedEntitiesForOrganizationPaginator = client.get_paginator("describe_affected_entities_for_organization")
describe_event_aggregates_paginator: health_paginators.DescribeEventAggregatesPaginator = client.get_paginator("describe_event_aggregates")
describe_event_types_paginator: health_paginators.DescribeEventTypesPaginator = client.get_paginator("describe_event_types")
describe_events_paginator: health_paginators.DescribeEventsPaginator = client.get_paginator("describe_events")
describe_events_for_organization_paginator: health_paginators.DescribeEventsForOrganizationPaginator = client.get_paginator("describe_events_for_organization")
```

## Automated type discovery

`mypy_boto3` package can generate index for `mypy_boto3_health` and other installed services.

```bash
# Run this command when you add or remove service packages
python -m mypy_boto3
```

Generated index provides overloads for `boto3.client` and `boto3.service`,
`boto3.Session.client` and `boto3.Session.resource` functions,
so explicit type annotations are not needed.

- `mypy` supports function overloads as expected
- `PyCharm` also supports function overloads, but consumes a lot of RAM, use carefully
- `VSCode` does not currently support function overloads

Also, generated index allows you to import types from `mypy_boto3`:

```python
# you can replace imports
import mypy_boto3_health as health
from mypy_boto3_health import HealthClient

# with these
from mypy_boto3 import health
from mypy_boto3.health import HealthClient
```